<?php
  /*
   * @file
   * 
   */
  include('../global_lib.inc');
  
  //current sco object;
  $sco_content;
  
  //object
  $sco_main_report;

  //sco content list, array of array
  $sco_list;
  
  //information of members of a group, it is array of objects
  $members_info;
  
  //group id
  $group_id;
  
  global $base_root;
  
  /**
   * This array is to store the table data so that the down_load excel file function
   * can directly read data from the session without need to calculate data again.
   */
  $session_table = array();
  
  $session_table['course_name'] =  simple_LMS_Get_scocontent_product_title($sco_content->nid);
  
  // Page Header
	echo "<p>Use the pull-down menu to view statistical report information for courses your Group Members have taken.</p>";
?>

<?php
  
  if ( $sco_list != NULL && $group_id != NULL ) {
    ?>
    <form action="../">
      <label>Courses:</label>
      <select onchange="window.open(this.options[this.selectedIndex].value,'_top')">
        <option value="">Choose a course...</option>
        <?php
          foreach ($sco_list as $individual_sco) {
            $url = $base_root . "/lms/see_group_statistic/" . $group_id . "/" . $individual_sco->scoid;
            echo "<option value=\"" . $url . "\">";
            echo simple_LMS_Get_scocontent_product_title( $individual_sco->nid );
            echo "</option>";
          }
        ?>
      </select>
    </form>
    <br/>
    <?php
  }
?>

<?php 
  if ( $members_info != NULL 
  &&  $sco_main_report != NULL
  &&  $sco_content != NULL) {
?>
<p>The Table below gives you information on the learners in your group who have taken this course.  To view aggregate group information click the Chart Presentation link below.  To download this information in an Excel file click the Download Excel File link below.</p>
<fieldset class="collapsible">
  <legend class = "collapse-processed">
    <?php echo $session_table['course_name']; ?>
  </legend>
  <div class="fieldset-wrapper">
    <table id="group-table">
      <tr class="table-header">
        <td>Learner Name</td>
        <td>Learner Username</td>
        <td>Finished Date / Time</td>
        <td>Learner Score</td>
        <td>Passing Score</td>
        <td>Result</td>
        <td>Total Time</td>
        <td>Last Access Time</td>
      </tr>
      
      <?php
        
        $td_1 = "<tr class='odd'>";
        
        $td_2 = "<tr class='even'>";
        
        $c = 0;
        
        $row = array();
        
        foreach ( $members_info as $uid => $member_obj) {
          if ( isset($member_obj->name) ) {
            if ( isset( $sco_main_report[$uid] ) ) {
              if ($c % 2 == 0) {
                echo $td_1;
              }
              else {
                echo $td_2;
              }
              
              $row['Student Name']      =  simple_LMS_get_name_from_username($member_obj->name);
              $row['Student Username']     =  $member_obj->name;
              $row['Finished Date / Time'] =  $sco_main_report[$uid]->finish_date;
              $row['Student Score']     =  $sco_main_report[$uid]->score;
              $row['Passing Score']     =  $sco_content->masteryscore;
              $row['Result']         =  $sco_main_report[$uid]->lesson_status;
              $row['Total Time']       =  $sco_main_report[$uid]->total_time;
              $row['Last Access Time']   =  $sco_main_report[$uid]->session_time;
              
              foreach ($row as $values) {
                echo "<td>" . $values . "</td>";
              }
              
              $session_table[] = $row;
              echo "</tr>";
            }
          }

          $c++;
        }

        unset($_SESSION[GROUP_STATISTIC_EXCEL]);

        $_SESSION[GROUP_STATISTIC_EXCEL] = $session_table;
      ?>
       <tr>
        <td colspan=8><a href = "<?php echo $base_root . "/lms/view_group_statistic_chart/" . $group_id . "/" . $sco_content->scoid; ?>">Chart Presentation</a></td>
       </tr>
       <tr>
        <td colspan=8><a href = "<?php echo $base_root . "/lms/down_load/group_static_info"; ?>">Download Excel File</a></td>
       </tr>
    </table>
  </div>
  
</fieldset>

<?php 
  }