<?php


/**
 * @file
 * This file list possible future works that can be added into LMS.
 * There are three main categories of future works
 * #: Extending the functionalities of the LMS
 * #: Optimizing the existing functionalities.
 * #: Performance improvment.
 *
 *
 * (1): Seperate course from quiz, so that when the student/learner finishs the course, 
 * or in other word, once the learner finishs specific learning time, the system will
 * notify the administrator of the group, then administrator can give the learner permission
 * to continue the quiz. I call this function quiz assignment.
 *
 *
 * (2): Add Pager to the tables once the items increase to some extent. This can be done by using
 * druapl table or writting a specific table template on my own. In addition to adding the pager
 * to the table, I also need to consider how to limit database query to request limited results.
 * so that the items that will not be shown in the table will not be retrieved from database.
 * this would save significant query time. 
 *
 *
 * (3): Enrolment functions: check which students have not registered required course yet. and email
 * notification function.
 *
 *
 * (4): Email notification function. This function can be added wherever it is necessary.
 *
 *
 * (5): Subscribe functions, whenever a new course is added, the notification will be sent to all
 * administrators of all of the group only if they subscribed. Along with this function is the new
 * course advertising web page.
 *
 *
 * (6): For different groups, list different courses they have privilege to see.
 *
 *
 * (7): 
 */