<?php
  /**
   * @file
   * Actually this file need to be kept as small as possible.
   * all decoration needs to be done in css file.
   * while because of my laziness, ^_^, for now, I put
   * all of css, javascript, php code in the same file.
   */
  include('../global_lib.inc');
  
  //object;
  $sco_content;
  
  //object
  $sco_main_report;
  
  //object array
  $sco_questions_report_list;

  //sco content list, array of array
  $sco_list;
  
  //information of member, it is object
  $member_info;
?>

<?php if ( $member_info != NULL ) {?>
<label id="member-name">
  Information about member: <?php echo $member_info->name;?>
</label><br/><br/>
<?php }?>

<?php
  
  if ( $sco_list != NULL && $member_info != NULL ) {
    ?>
    <form action="../">
      <label>Courses:</label>
      <select onchange="window.open(this.options[this.selectedIndex].value,'_top')">
        <option value="">Choose a course...</option>
        <?php
          global $base_root;
          foreach ($sco_list as $individual_sco) {
            $url = $base_root . "/lms/see_member_report/" . $member_info->uid . "/" . $individual_sco['scoid'] ;
            echo "<option value=\"" . $url . "\">";
            echo simple_LMS_Get_scocontent_product_title($individual_sco['product_nid']);
            echo "</option>";
          }
        ?>
      </select>
    </form>
    <br/>

    <?php
  }
?>

<?php 
  if ( $sco_content != NULL 
  &&   $sco_main_report != NULL) {
?>
<fieldset class="collapsible">
  <legend class = "collapse-processed">
    <?php echo simple_LMS_Get_scocontent_product_title($sco_content->nid); ?>
  </legend>

  <div class="fieldset-wrapper">
    <table id="individual-table">
  
      <tr class="table-header">
        <td>Student Name</td>
        <td>Date / Time</td>
        <td>Student Score</td>
        <td>Passing Score</td>
        <td>Result</td>
        <td>Total Time</td>
        <td>Last Access Time</td>
      </tr>

      <tr> 
        <td><?php echo simple_LMS_get_name_from_username($member_info->name); ?></td>
        <td><?php echo $sco_main_report->finish_date;   ?></td>
        <td><?php echo $sco_main_report->score;     ?></td>
        <td><?php echo $sco_content->masteryscore;     ?></td>
        <td><?php echo $sco_main_report->lesson_status;  ?></td>
        <td><?php echo $sco_main_report->total_time;   ?></td>
        <td><?php echo $sco_main_report->session_time;   ?></td>
      </tr>
<?php 
  if ( $sco_questions_report_list == NULL) {
    echo "</table>";
    echo "</div>";
    echo "</fieldset>";
  }
  else{
?>            
      <tr><td colspan=7 class="table-spacer">&nbsp;</td></tr>
      <tr><td colspan=7 class="table-spacer">&nbsp;</td></tr>
      <p>The chart below gives you information on your status in this course.  If you are a member of a Group this information will also be provided to your Group Manager.</p>
      <tr class="table-header">
        <td>Test Question</td>
        <td>Result</td>
        <td colspan=3>Time Spent on this Question</td>
        <td colspan=2>Answer Time</td>
      </tr>
  
      <?php
        $sco_questions_report_list = simple_LMS_sort_question_answers_byQID($sco_questions_report_list);
        $td_1 = "<tr class='odd'>";
        
        $td_2 = "<tr class='even'>";
        
        $c = 0;
        foreach ( $sco_questions_report_list as $question ) {
          if ( $c % 2 == 0 ) {
            echo $td_1;
          }
          else {
            echo $td_2;
          }
          
          echo "<td>" . $question->id . "</td>";
          
          if ($question->result == "correct") {
            echo "<td class='correct-answer'>" . $question->result . "</td>";
          } 
          else {
            echo "<td class='wrong-answer'>" . $question->result . "</td>";
          }
          
          echo "<td colspan=3>" . $question->latency . "</td>";
          echo "<td colspan=2>" . $question->time . "</td>";
          echo "</tr>";
          
          $c++;
        }      
      ?>
    </table>
  </div>
</fieldset>
<?php 
    }
  }
